## Apache Zeta Components Manual :: Docs For Class ezcArchiveBlockSizeException

### Archive::ezcArchiveBlockSizeException

### Class ezcArchiveBlockSizeException

Exception will be thrown when the block-size of an archive is invalid.

Source for this file: /Archive/src/exceptions/block_size.php

    Exception
       |
       --ezcBaseException
          |
          --ezcArchiveException
             |
             --ezcArchiveBlockSizeException

Version: | //autogentag//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcArchiveBlockSizeException | `__construct( $archiveName , [ $msg = null] )` Constructs a new block-size exception for the specified archive.

### Inherited Methods

From ezcArchiveException
public ezcArchiveException | `ezcArchiveException::__construct()` Construct a new archive exception.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcArchiveBlockSizeException __construct( string $archiveName , [string $msg = null] )

Constructs a new block-size exception for the specified archive.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$archiveName` | string |
`$msg` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcArchiveException::__construct()` | Construct a new archive exception.

Documentation generated by phpDocumentor 1.4.3